> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.fastenhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization Connection

> Check the status of an existing organization connection.
        
<Warning>
This endpoint requires an API public id & private key for authentication. Do not expose these keys in the browser.
</Warning>




## OpenAPI

````yaml GET /bridge/org_connection/{orgConnectionId}
openapi: 3.0.1
info:
  title: Fasten Connect
  description: >-
    Useful links:

    - [Fasten Connect API
    repository](https://github.com/fastenhealth/fasten-connect-api)

    - [Fasten Connect Developer
    Portal](https://github.com/fastenhealth/fasten-connect-app)
  termsOfService: https://www.fastenhealth.com/
  contact:
    email: connect@fastenhealth.com
  license:
    name: Private
  version: 1.0.11
servers:
  - url: https://api.connect.fastenhealth.com/v1/
    description: Use this server for both live and test mode.
security: []
tags:
  - name: auth
    description: Portal Authentication & Signup
  - name: user
    description: Operations about user
  - name: org
    description: Operations about organization
  - name: bridge
    description: Customer (organization) facing APIs
  - name: catalog
    description: Catalog APIs
externalDocs:
  description: Find out more about Fasten Connect
  url: https://www.fastenhealth.com/
paths:
  /bridge/org_connection/{orgConnectionId}:
    get:
      tags:
        - bridge
      summary: Get Organization Connection information
      description: >
        Check the status of an existing organization connection.
                
        <Warning>

        This endpoint requires an API public id & private key for
        authentication. Do not expose these keys in the browser.

        </Warning>
      parameters:
        - name: orgConnectionId
          in: path
          description: Patient Connection Id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/OrganizationConnection'
      security:
        - bridge_basic: []
components:
  schemas:
    OrganizationConnection:
      type: object
      properties:
        org_connection_id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        org_id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        catalog_brand_id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        catalog_portal_id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        catalog_endpoint_id:
          type: string
          format: uuid
          example: 8d4136dd-31b6-4a65-88a0-7ea22a2b16d6
        tefca_directory_id:
          type: string
          example: urn:oid:2.16.840.1.111111.3.3126.2.3.33929.5
          description: >-
            (TEFCA) The TEFCA Network Directory ID associated with this
            connection, if applicable. Only available for TEFCA connections.
        platform_type:
          type: string
          example: epic
        api_mode:
          type: string
          description: API Mode
          enum:
            - live
            - test
        status:
          type: string
          description: Connection Status
          enum:
            - authorized
            - rejected
            - refreshing
          example: authorized
        scope:
          type: string
          description: >-
            FHIR Scopes granted by the patient. See
            https://hl7.org/fhir/smart-app-launch/scopes-and-launch-context.html
          example: openid fhirUser offline_access patient/*.read
        consent_expires_at:
          type: string
          description: >-
            (Optional) This will be an RFC3339 timestamp which will specify when
            the patient’s consent to share data with your application will
            expire.Only some EHRs will provide this information. For EHRs that
            do not provide this information, this field will be omitted.
          example: '2026-01-17T00:00:00Z'
      xml:
        name: organization_connection
  securitySchemes:
    bridge_basic:
      type: http
      scheme: basic
      description: >
        [Basic Authentication](/api-reference/authentication), containing API
        Public Id and Private Key generated from the Fasten Connect Portal. **Do
        not expose these keys in the browser.**

````